Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wcs.describecoverage
Class AxisDescription

    java.lang.Object
      org.deegree.ogcbase.DescriptionBase
          org.deegree.ogcbase.Description
              org.deegree.ogcwebservices.wcs.describecoverage.AxisDescription

All Implemented Interfaces:
  Serializable, Cloneable

    public class AxisDescription

extends Description
implements Cloneable

Since:
  2.0
Version:
  $Revision: 18195 $, 1.0. $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth, last edited by: $Author: mschneider $
See Also:
  Serialized Form

Constructor Summary
`AxisDescription(String name, String label, String description, MetadataLink metadataLink, URI semantic, URI refSys, String refSysLabel, Values values)`
`AxisDescription(String name, String label, Values values)`

Method Summary
`Object` | `clone()`
`URI` | `getRefSys()`
`String` | `getRefSysLabel()`
`URI` | `getSemantic()`
`Values` | `getValues()`
`void` | `setRefSys(URI refSys)`
`void` | `setRefSysLabel(String refSysLabel)`
`void` | `setSemantic(URI semantic)`
`void` | `setValues(Values values)`

Methods inherited from class org.deegree.ogcbase.Description
`getLabel, setLabel`

Methods inherited from class org.deegree.ogcbase.DescriptionBase
`getDescription, getMetadataLink, getName, setDescription, setMetadataLink, setName`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AxisDescription

    public AxisDescription(String name,
                           String label,
                           Values values)
                    throws OGCException,
                           WCSException

Parameters:
  `name` -
  `label` -
  `values` -
Throws:
  `OGCException`
  `WCSException`

### AxisDescription

    public AxisDescription(String name,
                           String label,
                           String description,
                           MetadataLink metadataLink,
                           URI semantic,
                           URI refSys,
                           String refSysLabel,
                           Values values)
                    throws OGCException,
                           WCSException

Parameters:
  `name` -
  `label` -
  `description` -
  `metadataLink` -
  `semantic` -
  `refSys` -
  `refSysLabel` -
  `values` -
Throws:
  `OGCException`
  `WCSException`

Method Detail

### getRefSys

    public URI getRefSys()

  Returns:
    Returns the refSys.

### setRefSys

    public void setRefSys(URI refSys)

  Parameters:
    `refSys` - The refSys to set.

### getRefSysLabel

    public String getRefSysLabel()

  Returns:
    Returns the refSysLabel.

### setRefSysLabel

    public void setRefSysLabel(String refSysLabel)

  Parameters:
    `refSysLabel` - The refSysLabel to set.

### getSemantic

    public URI getSemantic()

  Returns:
    Returns the semantic.

### setSemantic

    public void setSemantic(URI semantic)

  Parameters:
    `semantic` - The semantic to set.

### getValues

    public Values getValues()

  Returns:
    Returns the values.

### setValues

    public void setValues(Values values)
                   throws WCSException

  Parameters:
    `values` - The values to set.
  Throws:
    `WCSException`

### clone

    public Object clone()

  Overrides:
    `clone` in class `Description`
  See Also:
    `Object.clone()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org